<template>
	<u-button class="settle-button" type="primary" shape="circle" @click="handleClick" :disabled="disabled" :custom-style="buttonStyle">{{ text }}</u-button>
</template>

<script>
export default {
	name: 'XhButton',
	props: {
		text: {
			type: String | null,
			default: '提交'
		},
		disabled:{
			type:Boolean,
			default: false
		}
	},
	data() {
		return {
			buttonStyle: {
				width: '100%',
				height: '80rpx',
				fontSize: '32rpx',
				fontWeight: 'bold'
			}
		};
	},
	methods: {
		handleClick() {
			this.$emit('handleClick');
		}
	}
};
</script>

<style lang="scss"></style>
